Classes | Namespaces | Enumerations
HanMacWrdJText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "HanMacWrdJParser.hxx"`
`#include "HanMacWrdJText.hxx"`

## Classes
struct | HanMacWrdJTextInternal::PLC
| Internal and low level: the PLC different types and their structures of a HanMacWrdJText. More...
struct | HanMacWrdJTextInternal::Token
| Internal: class to store a token of a HanMacWrdJText. More...
struct | HanMacWrdJTextInternal::Section
| Internal: class to store a section of a HanMacWrdJText. More...
struct | HanMacWrdJTextInternal::TextZone
| Internal: a struct used to store a text zone. More...
struct | HanMacWrdJTextInternal::Paragraph
| Internal: class to store the paragraph properties of a HanMacWrdJText. More...
struct | HanMacWrdJTextInternal::State
| Internal: the state of a HanMacWrdJText. More...
class | HanMacWrdJTextInternal::SubDocument
| Internal: the subdocument of a HanMacWrdJText. More...

## Namespaces
| HanMacWrdJTextInternal
| Internal: the structures of a HanMacWrdJText.

## Enumerations
enum | HanMacWrdJTextInternal::PLCType { HanMacWrdJTextInternal::CHAR =0, HanMacWrdJTextInternal::RULER, HanMacWrdJTextInternal::LINE, HanMacWrdJTextInternal::TOKEN, HanMacWrdJTextInternal::Unknown }
| different PLC types More...